<?php if ( post_password_required() ) : ?>
				<p><?php _e( 'This post is password protected. Enter the password to view any comments.','hangar'); ?></p>
<?php
		/* Stop the rest of comments.php from being processed,
		 * but don't kill the script entirely -- we still have
		 * to fully load the template.
		 */
		return;
	endif;
?>

<?php
	// You can start editing here -- including this comment!
?>

<div id="comments-content" class="clearfix">

<?php if ( have_comments() ) : ?>

			<h3 id="comments"><?php
			printf( _n( 'One Comment', 'Comments (%1$s)', get_comments_number(), 'hangar' ),
			number_format_i18n( get_comments_number() ), '' . get_the_title() . '' );
			?></h3>

			<ol>
				<?php wp_list_comments( array( 'callback' => 'ari_comment' ) ); ?>
			</ol>

<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
				<p class="alignleft"><?php previous_comments_link( __( '&larr; Older Comments', 'hangar') ); ?></p>
				<p class="alignright"><?php next_comments_link( __( 'Newer Comments &rarr;','hangar') ); ?></p>
<?php endif; // check for comment navigation ?>

<?php endif; // end have_comments() ?>

<?php comment_form(
array(
'title_reply' => __( 'Leave a Reply','hangar'),
'comment_notes_before' =>__( '<p class="comment-notes">Required fields are marked <span class="required">*</span></p>','hangar'),
'comment_notes_after' => '',
'comment_field'  => '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun' ) . '</label><br/><textarea id="comment" name="comment" rows="8" aria-required="true"></textarea></p>',
)
); ?>

</div>
<!--end Comments Content-->